summaryrefslogtreecommitdiffstats
path: root/openbox_shutdown.sh
diff options
context:
space:
mode:
Diffstat (limited to 'openbox_shutdown.sh')
-rwxr-xr-xopenbox_shutdown.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/openbox_shutdown.sh b/openbox_shutdown.sh
new file mode 100755
index 0000000..12cfc9e
--- /dev/null
+++ b/openbox_shutdown.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+gxmessage "What do you want to do?" -center -title "Shut down?" -buttons "Cancel:1,Halt:2,Reboot:3,Suspend:4" -borderless
+
+case $? in
+ 1) echo "Exit" ;;
+
+ 2) sudo shutdown -h now ;;
+
+ 3) sudo shutdown -r now ;;
+
+ 4) sudo pm-suspend ;;
+esac